import request from '@/utils/request'

// 检查配置
/**
 * 分页查询检擦配置列表
 */
export function getCheckList(params) {
    return request.get('/v2/api/enforce-template', {params})
}

/**
 * 新建检查配置
 */
export function addCheck(params) {
    return request.post('/v2/api/enforce-template', params)
}

/**
 * new新建检查配置
 */
export function addCheckNew(params) {
    return request.post('/v2/api/enforce-template/new', params)
}

/**
 * 查询单个检查配置信息
 */
export function getCheckItem(id) {
    return request.get(`/v2/api/enforce-template/${id}`)
}

/**
 * 更新检查配置信息
 */
export function updateCheck(id, params) {
    return request.put(`/v2/api/enforce-template/${id}`, params)
}

/**
 * 删除检查配置信息
 */
export function removeCheck(id) {
    return request.delete(`/v2/api/enforce-template/${id}`)
}

// 检查配置节点
/**
 * 更新检查配置节点
 */
export function updateNode(id, params) {
    return request.put(`/v2/api/enforce-template/node/${id}`, params)
}

/**
 * 删除检查配置节点信息
 */
export function removeNode(id) {
    return request.delete(`/v2/api/enforce-template/node/${id}`)
}

/**
 * 更新检查配置节点Item信息
 */
export function updateNodeItem(id, params) {
    return request.put(`/v2/api/enforce-template/item/${id}`, params)
}

/**
 * 删除检查配置节点Item信息
 */
export function removeNodeItem(id) {
    return request.delete(`/v2/api/enforce-template/item/${id}`)
}


/**
 * 分页查询点踩列表
 */
export function getComment(params) {
    return request.get('/v2/api/enforce_comment', {params})
}

/**
 * 查询副本
 */
export function getTemplateDetail(id) {
    return request.get('/v2/api/enforce_template_handbook/' + id)
}

/**
 * 新增副本
 */
export function addTemplateDetail(id, params) {
    return request.post('/v2/api/enforce_template_handbook?template_item_id=' + id, params)
}

/**
 * 更新
 */
export function updateTemplateDetail(id, params) {
    return request.put(`/v2/api/enforce_template_handbook/${id}`, params)
}
